Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.rules.manager
Interface RulesManagerHome

All Superinterfaces
  javax.ejb.EJBHome, Remote

    public interface RulesManagerHome

extends javax.ejb.EJBHome

This interface is the home interface for the `RulesManager` EJB.

Field Summary
`static String` | `EJB_REF_NAME` The EJB-REF name for this `EJBHome`.

Method Summary
`RulesManager` | `create()` This method corresponds to the ejbCreate method in the `RulesManager` EJB implementation.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Field Detail

### EJB_REF_NAME

    static final String EJB_REF_NAME

  The EJB-REF name for this `EJBHome`.

  See Also
    Constants Summary

Method Detail

### create

    RulesManager create()
                        throws javax.ejb.CreateException,
                               RemoteException

  This method corresponds to the ejbCreate method in the `RulesManager` EJB implementation. The parameter sets of the two methods are identical. When a client calls `RulesManagerHome.create()`, the EJB container allocates an instance of the EJB and invokes the `ejbCreate()` method on the instance.

  Returns
    a `RulesManager` instance.
  Throws
    `RemoteException` - if there is a communications error.
    `javax.ejb.CreateException` - if there is a problem creating the EJB.
  See Also
    `RulesManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.